%define _unpackaged_files_terminate_build 1

#%%define buildnum pre9

Name: ksquirrel-libs
Version: 0.6.3
Release: alt1.2

Summary: File format plugins for KSquirrel image viewer
License: LGPL
Group: Graphics
Url: http://ksquirrel.sf.net/

Source: %name-%version.tar.bz2
Patch1: %name-0.6.0-pre9-alt-configure.ac.patch
Patch2: %name-0.6.0-alt-shutup.patch
Patch3: %name-0.6.2-makefile-fixes.patch

BuildPreReq: fontconfig libfreetype-devel gcc-c++ zlib-devel libX11-devel 
BuildPreReq: libjpeg-devel libpng-devel libtiff-devel libungif-devel
BuildPreReq: libmng-devel libwmf-devel libexpat-devel
BuildPreReq: pkgconfig

# jpeg2000
BuildPreReq: libjasper-devel 
# exr
BuildPreReq: openexr-devel
# SVG
BuildPreReq: libcairo-devel >= 0.5.2
BuildPreReq: libsvg-cairo-devel >= 0.1.6 libsvg-devel >= 0.1.4
BuildPreReq: libxml2-devel

%description
This package contains libraries needed for KSquirrel image viewer
to handle various image formats.

%package extra
Summary: Extra file format plugins for KSquirrel image viewer
Group: Graphics

%description extra
This package contains extra libraries needed for KSquirrel image
viewer to handle various image formats.

These libraries were packaged separately because of additional
dependencies on external libraries.

%package devel
Summary: Header files for KSquirrel plugins
Group: Development/C++
Requires: %name = %version

%description devel
Header files for KSquirrel image viewer plugins

%prep
%setup -q
find . -name "*~" -delete
rm -f {doc/{,html,sources},examples/{,qtapp,qtgl}}/Makefile*
%__subst 's, doc,,' Makefile.am
mv -f configure.ac configure.ac.orig && egrep -v 'doc|example' configure.ac.orig > configure.ac
%patch1 -p1
#%%patch2 -p1
%patch3 -p1
%make_build -f admin/Makefile.common

%build
%configure %{subst_enable debug}
%make_build

%install
%makeinstall 
find %buildroot%_libdir/%name/ -type l -name '*kls*.so' -delete

%files
%doc README VERSION doc/ examples/
%dir %_libdir/%name/
%_libdir/%name/libkls_avs.*
%_libdir/%name/libkls_bmp.*
%_libdir/%name/libkls_camera.*
%_libdir/%name/libkls_cut.*
%_libdir/%name/libkls_fli.*
%_libdir/%name/libkls_gif.*
%_libdir/%name/libkls_hdr.*
%_libdir/%name/libkls_ico.*
%_libdir/%name/libkls_jbig.*
%_libdir/%name/libkls_jpeg.*
%_libdir/%name/libkls_koa*.*
%_libdir/%name/libkls_lif.*
%_libdir/%name/libkls_mdl.*
%_libdir/%name/libkls_mng.*
%_libdir/%name/libkls_mtv.*
%_libdir/%name/libkls_pcx.*
%_libdir/%name/libkls_pix.*
%_libdir/%name/libkls_png.*
%_libdir/%name/libkls_pnm.*
%_libdir/%name/libkls_psd.*
%_libdir/%name/libkls_pxr.*
%_libdir/%name/libkls_ras.*
%_libdir/%name/libkls_rawrgb.*
%_libdir/%name/libkls_sct.*
%_libdir/%name/libkls_sgi.*
%_libdir/%name/libkls_sun.*
%_libdir/%name/libkls_tga.*
%_libdir/%name/libkls_tiff.*
%_libdir/%name/libkls_ttf.*
%_libdir/%name/libkls_wal.*
%_libdir/%name/libkls_wbmp.*
%_libdir/%name/libkls_wmf.*
%_libdir/%name/libkls_xbm.*
%_libdir/%name/libkls_xcur.*
%_libdir/%name/libkls_xpm.*
%_libdir/%name/libkls_xwd.*
%_libdir/libksquirrel-libs.so.*
%_datadir/%name/

%files extra
%_libdir/%name/libkls_jpeg2000.*
%_libdir/%name/libkls_openexr.*
%_libdir/%name/libkls_svg.*

%files devel
%_includedir/*
%_libdir/libksquirrel-libs.so
%_pkgconfigdir/*.pc

%changelog
* Tue Feb 06 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.3-alt1.2
- rebuild

* Fri Sep 15 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.3-alt1.1
- remove libpixman-devel from BuildReqs

* Sun Jun 18 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.3-alt1
- 0.6.3

* Tue Apr 25 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.2-alt4
- fix .pc install on x86_64

* Thu Apr 06 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.2-alt3
- fix devel subpackage requires
- enable _unpackaged_files_terminate_build

* Thu Feb 23 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.2-alt2
- add %%_libdir/%%name/libksquirrel-libs.so to provides list

* Sat Feb 18 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.2-alt1
- 0.6.2

* Wed Dec 14 2005 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.0-alt3
- 0.6.0 release

* Thu Nov 17 2005 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.0-alt2.pre9
- 0.6.0-pre9

* Sun Oct 09 2005 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.0-alt2.pre7
- 0.6.0-pre7
- fix permissions on %_libdir/%name/* (#8024, thanks to lav@)

* Wed Sep 07 2005 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.0-alt2.pre6
- build for Sisyphus

* Sun Sep 04 2005 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.0-alt1.pre6
- build for Daedalus
